#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libjcat
Version		:	0.1.14
Release		:	14.4.0.0%{?dist}
Summary		:	Library for reading Jcat files

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL-2.1
URL		:	https://github.com/hughsie/%{name}

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gnutls
BuildRequires	:	gobject-introspection
BuildRequires	:	json-glib
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
This library allows reading and writing gzip-compressed
JSON catalog files, which can be used to store GPG,
PKCS-7 and SHA-256 checksums for each file.
 
This provides equivalent functionality to the catalog
files supported in Microsoft Windows.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_bindir}/jcat-tool
%{_datadir}/man/man1/jcat-tool.1.gz
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Jcat-1.0.typelib
%{_libdir}/%{name}.so.1*

#=============================================================================
%package		devel
Summary		:	Development package for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Files for development with %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1/jcat.h
%{_includedir}/%{name}-1/%{name}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/jcat.pc
%{_datadir}/gir-1.0/Jcat-1.0.gir
%{_datadir}/vala/vapi/jcat.deps
%{_datadir}/vala/vapi/jcat.vapi
%{_datadir}/gtk-doc/html/%{name}/*.html
%{_datadir}/gtk-doc/html/%{name}/*.png
%{_datadir}/gtk-doc/html/%{name}/style.css

#=============================================================================
%package		tests
Summary		:	Files for installed tests

#-----------------------------------------------------------------------------
Requires	:	%{name}-devel	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tests
Executable and data files for installed tests.

#-----------------------------------------------------------------------------
%files			tests
%defattr(-,root,root,-)
%doc README.md
%{_libexecdir}/installed-tests/%{name}/jcat-self-test
%{_libexecdir}/installed-tests/%{name}/colorhug/firmware.bin*
%{_libexecdir}/installed-tests/%{name}/pki/*
%{_datadir}/installed-tests/%{name}/%{name}.test

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson						\
	--prefix=%{_prefix}			\
        --includedir=%{_includedir}		\
	--libexecdir=%{_libexecdir}		\
        --sysconfdir=%{_sysconfdir}		\
        --sbindir=%{_sbindir}			\
	--mandir=%{_mandir}			\
	-D gtkdoc=true				\
	-D tests=true				\
	-D gpg=false				\
	_build					\


meson						\
	test					\
	-C _build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#testing program
%check
meson						\
	test					\
	-C _build				\
	--print-errorlogs

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}				\
	meson					\
		install				\
		-C _build			\

#-----------------------------------------------------------------------------
%changelog
